Get cluster
curl --request GET \
--url https://nks.nks.europe-west4.nscale.com/api/v1/clusters/{clusterID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nks.nks.europe-west4.nscale.com/api/v1/clusters/{clusterID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nks.nks.europe-west4.nscale.com/api/v1/clusters/{clusterID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "1e44f19a-21a9-43cc-a460-5d6f21247f65",
"generation": 4,
"name": "production-cluster",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-05-14T10:00:00.000Z",
"provisioningStatus": "provisioning",
"healthStatus": "unknown",
"tags": [
{
"name": "environment",
"value": "production"
}
]
},
"spec": {
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"platformReleaseId": "nks-1-32-4",
"apiServer": {
"publicIP": false
},
"addons": {
"hardware": {
"enabled": true
},
"nodeHealth": {
"enabled": true
}
}
},
"status": {
"regionId": "uk-lon-1",
"observedGeneration": 3,
"kubernetesVersion": {
"target": "v1.32.3",
"observed": "v1.32.3"
},
"apiServer": {
"certificateAuthorityData": "dGVzdC1jYQ==",
"endpoints": {
"private": {
"address": "api.production-cluster.private.example.com",
"port": 6443
}
}
},
"controlPlane": {
"readyReplicas": 3,
"desiredReplicas": 3
},
"nodePools": {
"count": 1,
"totalDesiredReplicas": 3,
"totalCurrentReplicas": 3,
"totalReadyReplicas": 3
},
"addons": {
"core": {
"status": "ready",
"components": [
{
"name": "cilium",
"version": "1.16.6",
"status": "ready"
},
{
"name": "metrics-server",
"version": "0.7.2",
"status": "ready"
}
]
},
"hardware": {
"status": "ready",
"components": [
{
"name": "nvidia-gpu-operator",
"version": "24.9.2",
"status": "ready"
}
]
}
},
"release": {
"appliedId": "nks-1-32-3",
"deprecated": false,
"upgradeAvailable": true,
"eligibleTargets": [
"nks-1-32-4"
]
}
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Clusters
Get cluster
Get a cluster.
GET
/
api
/
v1
/
clusters
/
{clusterID}
Get cluster
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Opaque public cluster ID. Opaque public resource ID.
Required string length:
1 - 128Response
A cluster. The example shows a newly accepted release update before its generation has converged.
Was this page helpful?